{% extends "default.html" %}
{% load qurl %}
{% load static %}
{% load panel_helpers %}
{% load django_bootstrap5 %}

{% block content %}
  <h1 class="add-bottom-margin add-top-margin">
      {% block title %}Activity{% endblock %}
      <a class="btn btn-lg" href="#" data-module="showhide" data-show=".form.activity-filter"><span class="fa fa-filter{% if filter_active %} text-primary{% else %} text-muted small{% endif %}"></span></a>
  </h1>

  <form class="form activity-filter add-bottom-margin{% if not filter_active %} d-none{% endif %}">
    {% csrf_token %}
    <h4>Filter</h4>
    {% bootstrap_form filter_form %}
    <div>
      <a href="{% url 'panels:activity' %}" class="btn btn-outline-light-panelapp">Cancel</a>
      <button type="submit" class="btn btn-primary">Filter</button>
        {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
        <button type="submit" value="csv" name="format" class="btn btn-outline-light-panelapp">CSV Export</button>
        {% endif %}
    </div>
  </form>

  <table class="table table-bordered" data-module="filterable-table">
    <thead class="table-light">
      <tr>
        <th class="w-10">Date</th>
        <th class="w-25">Panel</th>
        <th class="w-8">Item</th>
        <th>Activity</th>
      </tr>
      <tr>
        <td colspan="100">
          <div>
            <label for="gene-filter" class="rm">Filter activities</label>
            <div class="input-group">
              <input id="gene-filter" type="text" class="form-control normal js-filter-table-input" placeholder="Filter activities">
              <span class="input-group-text js-filter-table-count" data-singular="action" data-plural="actions">
                {{ activities|length }} actions
              </span>
            </div>
          </div>
        </td>
      </tr>
    </thead>
    <tbody>
      {% for activity in activities %}
        <tr>
          <td>
            <time title="{{activity.created}}" datetime={{activity.created|date:'c'}}>{{ activity.created|date:"d M Y" }}</time>
          </td>
          <td>
            {% if activity.panel %}
              <a href="{{ activity.panel.get_absolute_url }}">{{ activity.panel.name }}{% if activity.panel_version %} v{{ activity.panel_version }}{% endif %}</a>
            {% endif %}
          </td>
          <td>
            {% if activity.entity_type %}
              <a href="{% url 'panels:evaluation' activity.panel_id activity.entity_type activity.entity_name %}">{{ activity.entity_name }}</a>
            {% endif %}
          </td>
          <td>
            {{ activity.user.get_full_name }} {{ activity.text|linebreaksbr }}
          </td>
        </tr>
      {% endfor %}
    </tbody>
  </table>

  {% if is_paginated %}
  <div class="pagination">
    <span class="step-links">
      {% if page_obj.has_previous %}
        <a href="{% qurl request.get_full_path page=page_obj.previous_page_number %}">Previous page</a>
      {% endif %}

      <span class="current">
        Page {{ page_obj.number }} of {{ paginator.num_pages }}.
      </span>

      {% if page_obj.has_next %}
        <a href="{% qurl request.get_full_path page=page_obj.next_page_number %}">Next page</a>
      {% endif %}
    </span>
  </div>
  {% endif %}
{% endblock %}
